#32/64bit

%define name jedit
%define version 5.2.0
%define release %mkrel 1

Summary:    	jEdit - programmer's text editor 
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	Editors
License:    	GPLv2
URL:        	http://www.jedit.org/index.php
Source0:     	http://www.jedit.org/index.php?page=download/%{name}-%{version}-noarch-1sao.tar.xz
Requires:     	java >= 1.7.0 
BuildArch:      noarch
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version



%description
jEdit is a mature programmer's text editor.
Some of jEdit's features include:

Written in Java, so it runs on Mac OS X, OS/2, Unix, VMS and Windows.
Built-in macro language; extensible plugin architecture. Hundreds of macros and 
plugins available. Plugins can be downloaded and installed from within jEdit using 
the "plugin manager" feature. Auto indent, and syntax highlighting for more than 200 
languages. Supports a large number of character encodings including UTF8 and Unicode.
Folding for selectively hiding regions of text. Word wrap. Highly configurable and 
customizable. Every other feature, both basic and advanced, you would expect to find 
in a text editor.


%prep
%setup -c %{name}-%version

%install
export DONT_STRIP=1
rm -rf %{buildroot}
mkdir -p %{buildroot}
cp -af usr %{buildroot}/


#icons
mkdir -p %buildroot/%_miconsdir \
         %buildroot/%_liconsdir \
         %buildroot/%_iconsdir
convert usr/share/pixmaps/%{name}-icon48.png -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert usr/share/pixmaps/%{name}-icon48.png -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert usr/share/pixmaps/%{name}-icon48.png -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png

mv %{buildroot}/usr/man %{buildroot}/%{_datadir}
mv %{buildroot}/usr/doc %{buildroot}/%{_datadir}

# fix start script
sed -i 's|/usr/share/jEdit/jedit.jar|/usr/share/jedit-%{version}/jedit.jar|g' %{buildroot}/%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_docdir}/%name-%version/*.txt
%_bindir/%{name}
%_datadir/applications/jEdit.desktop
%_datadir/pixmaps/%{name}*.png
%{_mandir}/man1/%{name}.1.*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/%{name}-%{version}/*

%changelog
* Tue Apr 07 2015 ghostbunny <ghostbunny at gmx dot de> 5.2.0-1pclos2015
- 5.2.0
- use the noarch source package that's much easier than extraction from the installer

* Wed Aug 21 2013 Ken <lxgator at gmail.com> 5.1.0-1pclos2013
- 5.1.0

* Mon Nov 26 2012 Ken <lxgator at gmail.com> 5.0-1pclos2012
- first build
